Update a service
curl --request PATCH \
--url https://{domain}/api/application/services/{service} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Managed VPS - Jane Cooper"
}
'import requests
url = "https://{domain}/api/application/services/{service}"
payload = { "name": "Managed VPS - Jane Cooper" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Managed VPS - Jane Cooper'})
};
fetch('https://{domain}/api/application/services/{service}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/services/{service}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Managed VPS - Jane Cooper'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/services/{service}"
payload := strings.NewReader("{\n \"name\": \"Managed VPS - Jane Cooper\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://{domain}/api/application/services/{service}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Managed VPS - Jane Cooper\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/services/{service}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Managed VPS - Jane Cooper\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 908,
"name": "Managed VPS - Jane Cooper",
"status": "pending",
"owner": {
"id": 192,
"name": "Jane A. Cooper",
"email": "jane.cooper@example.com",
"avatar": "/assets/default-avatar.png"
},
"product": null,
"category": {
"id": 4,
"name": "Other plans"
},
"module": null,
"price": 14.99,
"original_price": null,
"modified_pricing": null,
"billing_cycle": "monthly",
"due_date": "2026-12-16T00:00:00.000000Z",
"auto_renewal_enabled": false,
"provisioned_at": null,
"addons": [],
"created_at": "2026-11-16T14:33:49.000000Z",
"updated_at": "2026-11-16T14:33:50.000000Z"
},
"message": "Service updated.",
"meta": {
"request_id": "5e2c8d51-95c6-4728-afe5-055c8fbf8df1"
}
}Services
Update a service
Renames a service or moves it to another product or category. name and service_name are aliases.
Permission: services.update
PATCH
/
services
/
{service}
Update a service
curl --request PATCH \
--url https://{domain}/api/application/services/{service} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Managed VPS - Jane Cooper"
}
'import requests
url = "https://{domain}/api/application/services/{service}"
payload = { "name": "Managed VPS - Jane Cooper" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Managed VPS - Jane Cooper'})
};
fetch('https://{domain}/api/application/services/{service}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/services/{service}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Managed VPS - Jane Cooper'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/services/{service}"
payload := strings.NewReader("{\n \"name\": \"Managed VPS - Jane Cooper\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://{domain}/api/application/services/{service}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Managed VPS - Jane Cooper\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/services/{service}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Managed VPS - Jane Cooper\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 908,
"name": "Managed VPS - Jane Cooper",
"status": "pending",
"owner": {
"id": 192,
"name": "Jane A. Cooper",
"email": "jane.cooper@example.com",
"avatar": "/assets/default-avatar.png"
},
"product": null,
"category": {
"id": 4,
"name": "Other plans"
},
"module": null,
"price": 14.99,
"original_price": null,
"modified_pricing": null,
"billing_cycle": "monthly",
"due_date": "2026-12-16T00:00:00.000000Z",
"auto_renewal_enabled": false,
"provisioned_at": null,
"addons": [],
"created_at": "2026-11-16T14:33:49.000000Z",
"updated_at": "2026-11-16T14:33:50.000000Z"
},
"message": "Service updated.",
"meta": {
"request_id": "5e2c8d51-95c6-4728-afe5-055c8fbf8df1"
}
}Authorizations
Body
application/json
Was this page helpful?

